Skip to main content
GET
/
permissions
/
{permissionId}
/
assignments
List Permission Assignments
curl --request GET \
  --url https://api.dfns.io/permissions/{permissionId}/assignments \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "as-1vcmc-qrek0-6b4vii9pln60907e",
      "permissionId": "pm-37vj4-jkr4l-lc9945spfftkne57",
      "identityId": "<string>",
      "isImmutable": true,
      "dateCreated": "2023-04-14T20:41:28.715Z",
      "dateUpdated": "2023-04-14T20:41:28.715Z"
    }
  ],
  "nextPageToken": "<string>"
}

Authentication

✅ Organization User (CustomerEmployee)
✅ Delegated User (EndUser)
✅ Service Account

Required Permissions

Permissions:Assignments:Read: Always required.

Authorizations

Authorization
string
header
required

Bearer Token: Used to authenticate API requests. More details how to generate the token: Authentication flows

Path Parameters

permissionId
string
required

ID of the permission (also referred to as "role" in the dashboard).

Required string length: 1 - 64

Query Parameters

limit
integer
default:50

Maximum number of items to return.

Required range: 1 <= x <= 500
paginationToken
string

Opaque token used to retrieve the next page. Returned as nextPageToken from the previous request.

Minimum string length: 1

Response

200 - application/json

Success

items
object[]
required

Current page items.

nextPageToken
string

token to use as paginationToken to request the next page.

Last modified on April 2, 2026